--- old/usr/src/uts/common/sys/fs/cachefs_dir.h	Sat Aug  2 23:27:21 2014
+++ new/usr/src/uts/common/sys/fs/cachefs_dir.h	Sat Aug  2 23:27:21 2014
@@ -20,6 +20,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -27,8 +29,6 @@
 #ifndef _SYS_FS_CACHEFS_DIR_H
 #define	_SYS_FS_CACHEFS_DIR_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/types.h>
 #include <sys/fs/cachefs_fs.h>
 
@@ -71,7 +71,7 @@
 #define	CDE_COMPLETE	0x2		/* entry is complete */
 
 
-#if defined(_KERNEL) && defined(__STDC__)
+#if defined(_KERNEL)
 int cachefs_dir_look(cnode_t *dcp, char *nm, fid_t *cookiep, uint_t *flagp,
     u_offset_t *d_offsetp, cfs_cid_t *cidp);
 int cachefs_dir_new(cnode_t *dcp, cnode_t *cp);
@@ -86,7 +86,7 @@
 int cachefs_async_populate_dir(struct cachefs_populate_req *, cred_t *,
     vnode_t *, vnode_t *);
 
-#endif /* defined(_KERNEL) && defined(__STDC__) */
+#endif /* defined(_KERNEL) */
 
 #ifdef __cplusplus
 }
--- old/usr/src/uts/common/sys/fs/cachefs_dlog.h	Sat Aug  2 23:27:21 2014
+++ new/usr/src/uts/common/sys/fs/cachefs_dlog.h	Sat Aug  2 23:27:21 2014
@@ -20,6 +20,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -27,8 +29,6 @@
 #ifndef	_SYS_FS_CACHEFS_DLOG_H
 #define	_SYS_FS_CACHEFS_DLOG_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/vfs.h>
 #include <sys/acl.h>
 
@@ -279,7 +279,7 @@
 	    offsetof(struct cfs_dlog_entry, dl_u.dl_setsecattr) +	\
 	    CFS_DLOG_SECATTR_MAXSIZE)
 
-#if defined(_KERNEL) && defined(__STDC__)
+#if defined(_KERNEL)
 int cachefs_dlog_setup(fscache_t *fscp, int createfile);
 void cachefs_dlog_teardown(fscache_t *fscp);
 int cachefs_dlog_commit(fscache_t *fscp, off_t offset, int error);
--- old/usr/src/uts/common/sys/fs/cachefs_fs.h	Sat Aug  2 23:27:21 2014
+++ new/usr/src/uts/common/sys/fs/cachefs_fs.h	Sat Aug  2 23:27:21 2014
@@ -20,6 +20,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -27,8 +29,6 @@
 #ifndef _SYS_FS_CACHEFS_FS_H
 #define	_SYS_FS_CACHEFS_FS_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/vnode.h>
 #include <sys/vfs.h>
 #include <sys/types.h>
@@ -1107,7 +1107,7 @@
 /*
  * cachefs function prototypes
  */
-#if defined(_KERNEL) && defined(__STDC__)
+#if defined(_KERNEL)
 extern int cachefs_getcookie(vnode_t *, struct fid *, struct vattr *,
 		cred_t *, uint32_t);
 cachefscache_t *cachefs_cache_create(void);
@@ -1305,7 +1305,7 @@
 extern void cachefs_kmem_free(void *, size_t);
 extern char *cachefs_strdup(char *);
 
-#endif /* defined (_KERNEL) && defined (__STDC__) */
+#endif /* defined (_KERNEL) */
 
 
 
--- old/usr/src/uts/common/sys/fs/ufs_filio.h	Sat Aug  2 23:27:21 2014
+++ new/usr/src/uts/common/sys/fs/ufs_filio.h	Sat Aug  2 23:27:21 2014
@@ -19,6 +19,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -26,8 +28,6 @@
 #ifndef _SYS_FS_UFS_FILIO_H
 #define	_SYS_FS_UFS_FILIO_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #ifdef	__cplusplus
 extern "C" {
 #endif
@@ -88,7 +88,7 @@
 #define	FIOLOG_ECLEAN	5
 #define	FIOLOG_ENOULOCK	6
 
-#if defined(_KERNEL) && defined(__STDC__)
+#if defined(_KERNEL)
 
 extern	int	ufs_fiosatime(struct vnode *, struct timeval *, int,
 		struct cred *);
@@ -104,7 +104,7 @@
 extern	int	ufs_fio_holey(vnode_t *, int, offset_t *);
 extern	int	ufs_mark_compressed(struct vnode *vp);
 
-#endif	/* defined(_KERNEL) && defined(__STDC__) */
+#endif	/* defined(_KERNEL) */
 
 #ifdef	__cplusplus
 }
--- old/usr/src/uts/common/sys/fs/ufs_prot.h	Sat Aug  2 23:27:21 2014
+++ new/usr/src/uts/common/sys/fs/ufs_prot.h	Sat Aug  2 23:27:21 2014
@@ -20,6 +20,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2005 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -32,8 +34,6 @@
 #ifndef _SYS_FS_UFS_PROT_H
 #define	_SYS_FS_UFS_PROT_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <rpc/rpc.h>
 
 #ifdef __cplusplus
@@ -166,7 +166,6 @@
 #define	UFSD_PROG ((unsigned long)(100233))
 #define	UFSD_VERS ((unsigned long)(1))
 
-#if defined(__STDC__) || defined(__cplusplus)
 #define	UFSD_NULL ((unsigned long)(0))
 extern  ufsdrc_t *ufsd_null_1(void *, CLIENT *);
 extern  ufsdrc_t *ufsd_null_1_svc(void *, struct svc_req *);
@@ -189,31 +188,8 @@
 extern  ufsdrc_t *ufsd_exit_1_svc(void *, struct svc_req *);
 extern int ufsd_prog_1_freeresult(SVCXPRT *, xdrproc_t, caddr_t);
 
-#else /* K&R C */
-#define	UFSD_NULL ((unsigned long)(0))
-extern  ufsdrc_t *ufsd_null_1();
-extern  ufsdrc_t *ufsd_null_1_svc();
-#define	UFSD_REPAIRFS ((unsigned long)(1))
-extern  ufsdrc_t *ufsd_repairfs_1();
-extern  ufsdrc_t *ufsd_repairfs_1_svc();
-#define	UFSD_REPAIRFSLIST ((unsigned long)(2))
-extern  ufsdrc_t *ufsd_repairfslist_1();
-extern  ufsdrc_t *ufsd_repairfslist_1_svc();
-#define	UFSD_SEND ((unsigned long)(3))
-extern  ufsdrc_t *ufsd_send_1();
-extern  ufsdrc_t *ufsd_send_1_svc();
-#define	UFSD_RECV ((unsigned long)(4))
-extern  ufsdrc_t *ufsd_recv_1();
-extern  ufsdrc_t *ufsd_recv_1_svc();
-#define	UFSD_EXIT ((unsigned long)(5))
-extern  ufsdrc_t *ufsd_exit_1();
-extern  ufsdrc_t *ufsd_exit_1_svc();
-extern int ufsd_prog_1_freeresult();
-#endif /* K&R C */
-
 /* the xdr functions */
 
-#if defined(__STDC__) || defined(__cplusplus)
 extern  bool_t xdr_ufsdrc_t(XDR *, ufsdrc_t *);
 extern  bool_t xdr_fs_identity_t(XDR *, fs_identity_t *);
 extern  bool_t xdr_ufsd_repairfs_args_t(XDR *, ufsd_repairfs_args_t *);
@@ -227,22 +203,6 @@
 extern  bool_t xdr_ufsd_msg_vardata_t(XDR *, ufsd_msg_vardata_t *);
 extern  bool_t xdr_ufsd_msg_t(XDR *, ufsd_msg_t *);
 
-#else /* K&R C */
-extern bool_t xdr_ufsdrc_t();
-extern bool_t xdr_fs_identity_t();
-extern bool_t xdr_ufsd_repairfs_args_t();
-extern bool_t xdr_ufsd_repairfs_list_t();
-extern bool_t xdr_ufsd_event_t();
-extern bool_t xdr_ufsd_boot_type_t();
-extern bool_t xdr_ufsd_log_op_t();
-extern bool_t xdr_ufsd_fsck_state_t();
-extern bool_t xdr_ufsd_log_data_t();
-extern bool_t xdr_ufsd_log_msg_t();
-extern bool_t xdr_ufsd_msg_vardata_t();
-extern bool_t xdr_ufsd_msg_t();
-
-#endif /* K&R C */
-
 #ifdef __cplusplus
 }
 #endif
--- old/usr/src/uts/common/sys/fs/ufs_trans.h	Sat Aug  2 23:27:21 2014
+++ new/usr/src/uts/common/sys/fs/ufs_trans.h	Sat Aug  2 23:27:21 2014
@@ -20,6 +20,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2005 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -27,8 +29,6 @@
 #ifndef _SYS_FS_UFS_TRANS_H
 #define	_SYS_FS_UFS_TRANS_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #ifdef	__cplusplus
 extern "C" {
 #endif
@@ -481,7 +481,7 @@
 /*
  * ufs trans function prototypes
  */
-#if defined(_KERNEL) && defined(__STDC__)
+#if defined(_KERNEL)
 
 extern int		ufs_trans_hlock();
 extern void		ufs_trans_onerror();
@@ -538,7 +538,7 @@
 void	top_mataclr(struct ufsvfs *ufsvfsp);
 
 
-#endif	/* defined(_KERNEL) && defined(__STDC__) */
+#endif	/* defined(_KERNEL) */
 
 #ifdef	__cplusplus
 }
--- old/usr/src/uts/common/sys/fstyp.h	Sat Aug  2 23:27:21 2014
+++ new/usr/src/uts/common/sys/fstyp.h	Sat Aug  2 23:27:21 2014
@@ -19,6 +19,9 @@
  *
  * CDDL HEADER END
  */
+/*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ */
 /*	Copyright (c) 1984, 1986, 1987, 1988, 1989 AT&T	*/
 /*	  All Rights Reserved  	*/
 
@@ -26,8 +29,6 @@
 #ifndef _SYS_FSTYP_H
 #define	_SYS_FSTYP_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"	/* SVr4.0 11.6	*/
-
 #ifdef	__cplusplus
 extern "C" {
 #endif
@@ -43,7 +44,7 @@
 #define	GETFSTYP	2	/* translate fstype index to fs identifier */
 #define	GETNFSTYP	3	/* return the number of fstypes */
 
-#if defined(__STDC__) && !defined(_KERNEL)
+#if !defined(_KERNEL)
 int sysfs(int, ...);
 #endif
 
--- old/usr/src/uts/common/sys/hotplug/hpcsvc.h	Sat Aug  2 23:27:22 2014
+++ new/usr/src/uts/common/sys/hotplug/hpcsvc.h	Sat Aug  2 23:27:22 2014
@@ -21,6 +21,8 @@
  */
 
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright (c) 1999-2000 by Sun Microsystems, Inc.
  * All rights reserved.
  */
@@ -28,8 +30,6 @@
 #ifndef	_SYS_HOTPLUG_HPCSVC_H
 #define	_SYS_HOTPLUG_HPCSVC_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/hotplug/hpctrl.h>
 
 #ifdef	__cplusplus
@@ -40,7 +40,6 @@
 #define	HPC_EVENT_NORMAL	0	/* normal, queued event handling */
 #define	HPC_EVENT_SYNCHRONOUS	1	/* unqueued sync. event handling */
 
-#ifdef	__STDC__
 extern int hpc_nexus_register_bus(dev_info_t *dip,
 	int (* callback)(dev_info_t *dip, hpc_slot_t handle,
 		hpc_slot_info_t *slot_info, int slot_state),
@@ -54,16 +53,6 @@
 extern int hpc_install_event_handler(hpc_slot_t handle, uint_t event_mask,
 	int (*event_handler)(caddr_t, uint_t), caddr_t arg);
 extern int hpc_remove_event_handler(hpc_slot_t handle);
-#else
-extern int hpc_nexus_register_bus();
-extern int hpc_nexus_unregister_bus();
-extern int hpc_nexus_connect();
-extern int hpc_nexus_disconnect();
-extern int hpc_nexus_insert();
-extern int hpc_nexus_remove();
-extern int hpc_nexus_control();
-extern int hpc_install_event_handler();
-#endif
 
 #ifdef	__cplusplus
 }
--- old/usr/src/uts/common/sys/hotplug/hpctrl.h	Sat Aug  2 23:27:22 2014
+++ new/usr/src/uts/common/sys/hotplug/hpctrl.h	Sat Aug  2 23:27:22 2014
@@ -20,6 +20,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2005 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -27,8 +29,6 @@
 #ifndef	_SYS_HOTPLUG_HPCTRL_H
 #define	_SYS_HOTPLUG_HPCTRL_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 /*
  * ****************************************************************
  * Hot Plug Controller interfaces for PCI and CompactPCI platforms.
@@ -270,7 +270,6 @@
  * function prototype definitions for interfaces between HPC driver
  * and Hot Plug Services framework.
  */
-#ifdef	__STDC__
 extern int hpc_slot_register(dev_info_t *dip, char *bus_path,
 	hpc_slot_info_t *slot_info, hpc_slot_t *slot_hdl,
 	hpc_slot_ops_t *slot_ops, caddr_t ops_arg, uint_t flags);
@@ -280,14 +279,6 @@
 extern int hpc_slot_event_notify(hpc_slot_t slot_hdl, uint_t event,
 	uint_t flags);
 extern boolean_t hpc_bus_registered(hpc_slot_t slot_hdl);
-#else
-extern int hpc_slot_register();
-extern int hpc_slot_unregister();
-extern struct hpc_slot_ops *hpc_alloc_slot_ops();
-extern void hpc_free_slot_ops();
-extern int hpc_slot_event_notify();
-extern boolean_t hpc_bus_registered();
-#endif	/* __STDC__ */
 
 /*
  * *****************************************************************
--- old/usr/src/uts/common/sys/instance.h	Sat Aug  2 23:27:22 2014
+++ new/usr/src/uts/common/sys/instance.h	Sat Aug  2 23:27:22 2014
@@ -19,6 +19,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright (c) 1992, 2010, Oracle and/or its affiliates. All rights reserved.
  */
 
@@ -134,11 +136,7 @@
 
 
 #else	/* _KERNEL */
-#ifdef __STDC__
 extern int inst_sync(char *pathname, int flags);
-#else
-extern int inst_sync();
-#endif	/* __STDC__ */
 #endif	/* _KERNEL */
 
 #define	INST_SYNC_IF_REQUIRED	0
--- old/usr/src/uts/common/sys/int_const.h	Sat Aug  2 23:27:22 2014
+++ new/usr/src/uts/common/sys/int_const.h	Sat Aug  2 23:27:22 2014
@@ -20,6 +20,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -27,8 +29,6 @@
 #ifndef _SYS_INT_CONST_H
 #define	_SYS_INT_CONST_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 /*
  * This file, <sys/int_const.h>, is part of the Sun Microsystems implementation
  * of <inttypes.h> as proposed in the ISO/JTC1/SC22/WG14 C committee's working
@@ -72,17 +72,10 @@
  * standard requires a space between arguments, but the historical,
  * non-ANSI-C ``method'' of concatenation can't tolerate those spaces.
  */
-#ifdef __STDC__
 /* CSTYLED */
 #define	__CONCAT__(A,B) A ## B
-#else
-/* CSTYLED */
-#define	__CONCAT__(A,B) A/**/B
-#endif
 
-#if defined(_CHAR_IS_SIGNED) || defined(__STDC__)
 #define	INT8_C(c)	(c)
-#endif
 #define	INT16_C(c)	(c)
 #define	INT32_C(c)	(c)
 #ifdef  _LP64
--- old/usr/src/uts/common/sys/int_fmtio.h	Sat Aug  2 23:27:22 2014
+++ new/usr/src/uts/common/sys/int_fmtio.h	Sat Aug  2 23:27:22 2014
@@ -20,6 +20,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -27,8 +29,6 @@
 #ifndef _SYS_INT_FMTIO_H
 #define	_SYS_INT_FMTIO_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 /*
  * This file, <sys/int_fmtio.h>, is part of the Sun Microsystems implementation
  * of <inttypes.h> as defined by the ISO C Standard, ISO/IEC 9899:1999
@@ -94,11 +94,9 @@
 #define	_PRIx	"x"
 #define	_PRIX	"X"
 
-#if defined(_CHAR_IS_SIGNED) || defined(__STDC__)
 #define	PRId8			_MODF8 _PRId
 #define	PRIdLEAST8		PRId8
 #define	PRIdFAST8		PRId8
-#endif
 #define	PRId16			_MODF16 _PRId
 #define	PRIdLEAST16		PRId16
 #define	PRId32			"d"
@@ -117,11 +115,9 @@
 #define	PRIdFAST64		PRId64
 #endif
 
-#if defined(_CHAR_IS_SIGNED) || defined(__STDC__)
 #define	PRIi8			_MODF8 _PRIi
 #define	PRIiLEAST8		PRIi8
 #define	PRIiFAST8		PRIi8
-#endif
 #define	PRIi16			_MODF16 _PRIi
 #define	PRIiLEAST16		PRIi16
 #define	PRIi32			"i"
@@ -251,11 +247,9 @@
 /*
  * fscanf macros for signed integers
  */
-#if defined(_CHAR_IS_SIGNED) || defined(__STDC__)
 #define	SCNd8			"hhd"
 #define	SCNdLEAST8		SCNd8
 #define	SCNdFAST8		SCNd8
-#endif
 #define	SCNd16			"hd"
 #define	SCNdLEAST16		SCNd16
 #define	SCNd32			"d"
@@ -269,11 +263,9 @@
 #endif
 #define	SCNdPTR			PRIdPTR
 
-#if defined(_CHAR_IS_SIGNED) || defined(__STDC__)
 #define	SCNi8			"hhi"
 #define	SCNiLEAST8		SCNi8
 #define	SCNiFAST8		SCNi8
-#endif
 #define	SCNi16			"hi"
 #define	SCNiLEAST16		SCNi16
 #define	SCNi32			"i"
--- old/usr/src/uts/common/sys/int_limits.h	Sat Aug  2 23:27:22 2014
+++ new/usr/src/uts/common/sys/int_limits.h	Sat Aug  2 23:27:22 2014
@@ -20,6 +20,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -27,8 +29,6 @@
 #ifndef _SYS_INT_LIMITS_H
 #define	_SYS_INT_LIMITS_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 /*
  * This file, <sys/int_limits.h>, is part of the Sun Microsystems implementation
  * of <inttypes.h> as defined in the ISO C standard, ISO/IEC 9899:1999
@@ -80,9 +80,7 @@
  * where the ABI specifies "char" as unsigned when the translation mode is
  * not ANSI-C.
  */
-#if defined(_CHAR_IS_SIGNED) || defined(__STDC__)
 #define	INT8_MAX	(127)
-#endif
 #define	INT16_MAX	(32767)
 #define	INT32_MAX	(2147483647)
 #if defined(_LP64)
@@ -112,9 +110,7 @@
 #define	UINTMAX_MAX	UINT32_MAX
 #endif
 
-#if defined(_CHAR_IS_SIGNED) || defined(__STDC__)
 #define	INT_LEAST8_MAX	INT8_MAX
-#endif
 #define	INT_LEAST16_MAX INT16_MAX
 #define	INT_LEAST32_MAX INT32_MAX
 #ifdef INT64_MAX
@@ -128,9 +124,7 @@
 #define	UINT_LEAST64_MAX UINT64_MAX
 #endif
 
-#if defined(_CHAR_IS_SIGNED) || defined(__STDC__)
 #define	INT_FAST8_MAX	INT8_MAX
-#endif
 #define	INT_FAST16_MAX INT16_MAX
 #define	INT_FAST32_MAX INT32_MAX
 #ifdef INT64_MAX
@@ -204,9 +198,7 @@
  */
 #if defined(__EXTENSIONS__) || !defined(__XOPEN_OR_POSIX) || defined(_XPG6)
 
-#if defined(_CHAR_IS_SIGNED) || defined(__STDC__)
 #define	INT8_MIN	(-128)
-#endif
 #define	INT16_MIN	(-32767-1)
 #define	INT32_MIN	(-2147483647-1)
 #if defined(_LP64)
@@ -221,9 +213,7 @@
 #define	INTMAX_MIN	INT32_MIN
 #endif
 
-#if defined(_CHAR_IS_SIGNED) || defined(__STDC__)
 #define	INT_LEAST8_MIN	INT8_MIN
-#endif
 #define	INT_LEAST16_MIN	INT16_MIN
 #define	INT_LEAST32_MIN INT32_MIN
 #ifdef INT64_MIN
@@ -230,9 +220,7 @@
 #define	INT_LEAST64_MIN	INT64_MIN
 #endif
 
-#if defined(_CHAR_IS_SIGNED) || defined(__STDC__)
 #define	INT_FAST8_MIN	INT8_MIN
-#endif
 #define	INT_FAST16_MIN	INT16_MIN
 #define	INT_FAST32_MIN INT32_MIN
 #ifdef INT64_MIN
--- old/usr/src/uts/common/sys/int_types.h	Sat Aug  2 23:27:22 2014
+++ new/usr/src/uts/common/sys/int_types.h	Sat Aug  2 23:27:22 2014
@@ -20,6 +20,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -27,8 +29,6 @@
 #ifndef _SYS_INT_TYPES_H
 #define	_SYS_INT_TYPES_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 /*
  * This file, <sys/int_types.h>, is part of the Sun Microsystems implementation
  * of <inttypes.h> defined in the ISO C standard, ISO/IEC 9899:1999
@@ -74,10 +74,8 @@
 #if defined(_CHAR_IS_SIGNED)
 typedef char			int8_t;
 #else
-#if defined(__STDC__)
 typedef signed char		int8_t;
 #endif
-#endif
 typedef short			int16_t;
 typedef int			int32_t;
 #ifdef	_LP64
@@ -133,10 +131,8 @@
 #if defined(_CHAR_IS_SIGNED)
 typedef char			int_fast8_t;
 #else
-#if defined(__STDC__)
 typedef signed char		int_fast8_t;
 #endif
-#endif
 typedef int			int_fast16_t;
 typedef int			int_fast32_t;
 #ifdef	_LP64
@@ -165,10 +161,8 @@
 #if defined(_CHAR_IS_SIGNED)
 typedef char			int_least8_t;
 #else
-#if defined(__STDC__)
 typedef signed char		int_least8_t;
 #endif
-#endif
 typedef short			int_least16_t;
 typedef int			int_least32_t;
 #ifdef	_LP64
--- old/usr/src/uts/common/sys/ipc.h	Sat Aug  2 23:27:23 2014
+++ new/usr/src/uts/common/sys/ipc.h	Sat Aug  2 23:27:23 2014
@@ -20,6 +20,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 1996-2003 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -32,8 +34,6 @@
 #ifndef _SYS_IPC_H
 #define	_SYS_IPC_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/isa_defs.h>
 #include <sys/feature_tests.h>
 #include <sys/types.h>
@@ -78,11 +78,7 @@
 
 #if (!defined(_KERNEL) && !defined(_XOPEN_SOURCE)) || defined(_XPG4_2) || \
 	defined(__EXTENSIONS__)
-#if defined(__STDC__)
 key_t ftok(const char *, int);
-#else
-key_t ftok();
-#endif /* defined(__STDC__) */
 #endif /* (!defined(_KERNEL) && !defined(_XOPEN_SOURCE))... */
 
 #ifdef	__cplusplus
--- old/usr/src/uts/common/sys/lgrp_user.h	Sat Aug  2 23:27:23 2014
+++ new/usr/src/uts/common/sys/lgrp_user.h	Sat Aug  2 23:27:23 2014
@@ -20,6 +20,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -27,8 +29,6 @@
 #ifndef	_LGRP_USER_H
 #define	_LGRP_USER_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 /*
  * latency group definitions for user
  */
@@ -244,8 +244,6 @@
 
 #if (!defined(_KERNEL) && !defined(_KMEMUSER))
 
-#ifdef	__STDC__
-
 lgrp_affinity_t	lgrp_affinity_get(idtype_t idtype, id_t id, lgrp_id_t lgrp);
 
 int		lgrp_affinity_set(idtype_t idtype, id_t id, lgrp_id_t lgrp,
@@ -287,25 +285,6 @@
 
 lgrp_view_t	lgrp_view(lgrp_cookie_t cookie);
 
-#else	/* __STDC__ */
-lgrp_affinity_t	lgrp_affinity_get();
-int		lgrp_affinity_set();
-int		lgrp_children();
-int		lgrp_cookie_stale();
-int		lgrp_cpus();
-int		lgrp_fini();
-lgrp_id_t	lgrp_home();
-int		lgrp_init();
-int		lgrp_latency();
-spgcnt_t	lgrp_mem_size();
-int		lgrp_nlgrps();
-int		lgrp_parents();
-int		lgrp_resources();
-lgrp_id_t	lgrp_root();
-int		lgrp_version();
-lgrp_view_t	lgrp_view();
-#endif	/* __STDC__ */
-
 #endif	/* !_KERNEL && !_KMEMUSER */
 
 #ifdef	__cplusplus
--- old/usr/src/uts/common/sys/link.h	Sat Aug  2 23:27:23 2014
+++ new/usr/src/uts/common/sys/link.h	Sat Aug  2 23:27:23 2014
@@ -23,6 +23,8 @@
  *	Copyright (c) 1988 AT&T
  *	  All Rights Reserved
  *
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright (c) 1989, 2010, Oracle and/or its affiliates. All rights reserved.
  */
 
@@ -622,15 +624,10 @@
 
 #ifndef	_ASM
 
-#ifdef __STDC__
-
 /*
  * Concurrency communication structure for libc callbacks.
  */
 extern void	_ld_libc(void *);
-#else /* __STDC__ */
-extern void	_ld_libc();
-#endif /* __STDC__ */
 
 #pragma unknown_control_flow(_ld_libc)
 #endif /* _ASM */
--- old/usr/src/uts/common/sys/lock.h	Sat Aug  2 23:27:23 2014
+++ new/usr/src/uts/common/sys/lock.h	Sat Aug  2 23:27:23 2014
@@ -19,6 +19,9 @@
  *
  * CDDL HEADER END
  */
+/*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ */
 /*	Copyright (c) 1984, 1986, 1987, 1988, 1989 AT&T	*/
 /*	  All Rights Reserved  	*/
 
@@ -26,8 +29,6 @@
 #ifndef _SYS_LOCK_H
 #define	_SYS_LOCK_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"	/* SVr4.0 11.7	*/
-
 #ifdef	__cplusplus
 extern "C" {
 #endif
@@ -44,19 +45,11 @@
 
 #define	MEMLOCK	 8
 
-#if defined(__STDC__)
 int punlock(void);
-#else
-int punlock();
-#endif	/* __STDC__ */
 
 #else
 
-#if defined(__STDC__)
 int plock(int);
-#else
-int plock();
-#endif	/* __STDC__ */
 
 #endif	/* _KERNEL */
 
--- old/usr/src/uts/common/sys/mkdev.h	Sat Aug  2 23:27:23 2014
+++ new/usr/src/uts/common/sys/mkdev.h	Sat Aug  2 23:27:23 2014
@@ -19,6 +19,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -82,8 +84,6 @@
 #undef major
 #undef minor
 
-#if defined(__STDC__)
-
 extern dev_t makedev(const major_t, const minor_t);
 extern major_t major(const dev_t);
 extern minor_t minor(const dev_t);
@@ -91,17 +91,6 @@
 extern major_t __major(const int, const dev_t);
 extern minor_t __minor(const int, const dev_t);
 
-#else
-
-extern dev_t makedev();
-extern major_t major();
-extern minor_t minor();
-extern dev_t __makedev();
-extern major_t __major();
-extern minor_t __minor();
-
-#endif	/* defined(__STDC__) */
-
 #define	OLDDEV 0	/* old device format */
 #define	NEWDEV 1	/* new device format */
 
--- old/usr/src/uts/common/sys/mman.h	Sat Aug  2 23:27:23 2014
+++ new/usr/src/uts/common/sys/mman.h	Sat Aug  2 23:27:23 2014
@@ -21,6 +21,8 @@
 
 /* Copyright 2013 OmniTI Computer Consulting, Inc. All rights reserved. */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -221,7 +223,6 @@
  * Except for old binaries mmap() will return the resultant
  * address of mapping on success and (caddr_t)-1 on error.
  */
-#ifdef	__STDC__
 #if (_POSIX_C_SOURCE > 2) || defined(_XPG4_2)
 extern void *mmap(void *, size_t, int, int, int, off_t);
 extern int munmap(void *, size_t);
@@ -276,34 +277,7 @@
 /* mmap failure value */
 #define	MAP_FAILED	((void *) -1)
 
-#else	/* __STDC__ */
-extern caddr_t mmap();
-extern int munmap();
-extern int mmapobj();
-extern int mprotect();
-extern int mincore();
-extern int memcntl();
-extern int msync();
-extern int madvise();
-extern int posix_madvise();
-extern int getpagesizes();
-extern int getpagesizes2();
-extern int mlock();
-extern int mlockall();
-extern int munlock();
-extern int munlockall();
-extern int meminfo();
-extern int shm_open();
-extern int shm_unlink();
 
-/* transitional large file interface version */
-#if	defined(_LARGEFILE64_SOURCE) && !((_FILE_OFFSET_BITS == 64) && \
-	    !defined(__PRAGMA_REDEFINE_EXTNAME))
-extern caddr_t mmap64();
-#endif	/* _LARGEFILE64_SOURCE... */
-#endif	/* __STDC__ */
-
-
 #endif	/* !_ASM && !_KERNEL */
 
 #if !defined(__XOPEN_OR_POSIX) || defined(__EXTENSIONS__)
@@ -388,7 +362,7 @@
 /* definitions for meminfosys syscall */
 #define	MISYS_MEMINFO		0x0
 
-#if !defined(_ASM) && defined(__STDC__)
+#if !defined(_ASM)
 
 #if defined(_INT64_TYPE)
 /* private structure for meminfo */
@@ -411,7 +385,7 @@
 } meminfo32_t;
 #endif /* defined(_SYSCALL32) */
 
-#endif /* !defined(_ASM) && defined(__STDC__) */
+#endif /* !defined(_ASM) */
 
 /*
  * info_req request type definitions for meminfo
--- old/usr/src/uts/common/sys/mnttab.h	Sat Aug  2 23:27:23 2014
+++ new/usr/src/uts/common/sys/mnttab.h	Sat Aug  2 23:27:23 2014
@@ -23,6 +23,8 @@
 
 
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -83,7 +85,6 @@
 };
 
 #if !defined(_KERNEL)
-#ifdef __STDC__
 extern void	resetmnttab(FILE *);
 extern int	getmntent(FILE *, struct mnttab *);
 extern int	getextmntent(FILE *, struct extmnttab *, size_t);
@@ -90,15 +91,7 @@
 extern int	getmntany(FILE *, struct mnttab *, struct mnttab *);
 extern char	*hasmntopt(struct mnttab *, char *);
 extern char	*mntopt(char **);
-#else
-extern void	resetmnttab();
-extern int	getmntent();
-extern int	getextmntent();
-extern int	getmntany();
-extern char	*hasmntopt();
-extern char	*mntopt();
 #endif
-#endif
 
 #ifdef	__cplusplus
 }
--- old/usr/src/uts/common/sys/mount.h	Sat Aug  2 23:27:23 2014
+++ new/usr/src/uts/common/sys/mount.h	Sat Aug  2 23:27:23 2014
@@ -24,6 +24,8 @@
 
 
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright (c) 1996, 1999 by Sun Microsystems, Inc.
  * All rights reserved.
  */
@@ -31,8 +33,6 @@
 #ifndef _SYS_MOUNT_H
 #define	_SYS_MOUNT_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"	/* SVr4.0 11.10	*/
-
 #ifdef	__cplusplus
 extern "C" {
 #endif
@@ -76,7 +76,7 @@
  */
 #define	MAX_MNTOPT_STR	1024	/* max length of mount options string */
 
-#if defined(__STDC__) && !defined(_KERNEL)
+#if !defined(_KERNEL)
 int mount(const char *, const char *, int, ...);
 int umount(const char *);
 int umount2(const char *, int);
--- old/usr/src/uts/common/sys/msg.h	Sat Aug  2 23:27:24 2014
+++ new/usr/src/uts/common/sys/msg.h	Sat Aug  2 23:27:24 2014
@@ -20,6 +20,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 1999-2003 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -31,8 +33,6 @@
 #ifndef _SYS_MSG_H
 #define	_SYS_MSG_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/ipc.h>
 
 #ifdef	__cplusplus
@@ -126,7 +126,6 @@
 };
 
 #if !defined(_KERNEL)
-#if defined(__STDC__)
 int msgctl(int, int, struct msqid_ds *);
 int msgget(key_t, int);
 int msgids(int *, uint_t, uint_t *);
@@ -133,14 +132,6 @@
 int msgsnap(int, void *, size_t, long);
 ssize_t msgrcv(int, void *, size_t, long, int);
 int msgsnd(int, const void *, size_t, int);
-#else /* __STDC__ */
-int msgctl();
-int msgget();
-int msgids();
-int msgsnap();
-int msgrcv();
-int msgsnd();
-#endif /* __STDC__ */
 #endif /* ! _KERNEL */
 
 #ifdef	__cplusplus
--- old/usr/src/uts/common/sys/netconfig.h	Sat Aug  2 23:27:24 2014
+++ new/usr/src/uts/common/sys/netconfig.h	Sat Aug  2 23:27:24 2014
@@ -24,6 +24,8 @@
 
 
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -31,8 +33,6 @@
 #ifndef	_SYS_NETCONFIG_H
 #define	_SYS_NETCONFIG_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"	/* SVr4.0 1.4 */
-
 #ifdef	__cplusplus
 extern "C" {
 #endif
@@ -137,8 +137,6 @@
 #define	NC_IBTF		"ibtf"
 #define	NC_KDAPL	"kdapl"
 
-#if defined(__STDC__)
-
 extern void		*setnetconfig(void);
 extern int		endnetconfig(void *);
 extern struct netconfig	*getnetconfig(void *);
@@ -150,21 +148,6 @@
 extern void		nc_perror(const char *);
 extern char		*nc_sperror(void);
 
-#else	/* __STDC__ */
-
-extern void		*setnetconfig();
-extern int		endnetconfig();
-extern struct netconfig	*getnetconfig();
-extern struct netconfig	*getnetconfigent();
-extern void		freenetconfigent();
-extern void		*setnetpath();
-extern int		endnetpath();
-extern struct netconfig *getnetpath();
-extern void		nc_perror();
-extern char		*nc_sperror();
-
-#endif	/* __STDC__ */
-
 #ifdef	__cplusplus
 }
 #endif
--- old/usr/src/uts/common/sys/poll.h	Sat Aug  2 23:27:24 2014
+++ new/usr/src/uts/common/sys/poll.h	Sat Aug  2 23:27:24 2014
@@ -24,6 +24,8 @@
 
 
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright (c) 1995, 1998 by Sun Microsystems, Inc.
  * All rights reserved.
  */
@@ -31,8 +33,6 @@
 #ifndef _SYS_POLL_H
 #define	_SYS_POLL_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"	/* SVr4.0 11.9 */
-
 #ifdef	__cplusplus
 extern "C" {
 #endif
@@ -138,11 +138,7 @@
 #endif /* defined(_KERNEL) || defined(_KMEMUSER) */
 
 #if !defined(_KERNEL)
-#if defined(__STDC__)
 int poll(struct pollfd *, nfds_t, int);
-#else
-int poll();
-#endif /* __STDC__ */
 #endif /* !_KERNEL */
 
 #ifdef	__cplusplus
--- old/usr/src/uts/common/sys/priocntl.h	Sat Aug  2 23:27:24 2014
+++ new/usr/src/uts/common/sys/priocntl.h	Sat Aug  2 23:27:24 2014
@@ -20,6 +20,8 @@
  */
 
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -30,8 +32,6 @@
 #ifndef _SYS_PRIOCNTL_H
 #define	_SYS_PRIOCNTL_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"	/* from SVR4 1.6 */
-
 #include <sys/types.h>
 #include <sys/procset.h>
 
@@ -41,12 +41,8 @@
 
 #define	PC_VERSION	1	/* First version of priocntl */
 
-#ifdef __STDC__
 extern long	priocntl(idtype_t, id_t, int, ...);
 extern long	priocntlset(procset_t *, int, ...);
-#else
-extern long	priocntl(), priocntlset();
-#endif	/* __STDC__ */
 
 /*
  * The following are the possible values of the command
--- old/usr/src/uts/common/sys/priv.h	Sat Aug  2 23:27:24 2014
+++ new/usr/src/uts/common/sys/priv.h	Sat Aug  2 23:27:24 2014
@@ -19,6 +19,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright (c) 2003, 2010, Oracle and/or its affiliates. All rights reserved.
  */
 
@@ -50,13 +52,8 @@
  * Userland type definitions.
  */
 
-#ifdef __STDC__
 typedef const char *priv_ptype_t;
 typedef const char *priv_t;
-#else
-typedef char *priv_ptype_t;
-typedef char *priv_t;
-#endif
 
 #endif /* _KERNEL */
 
--- old/usr/src/uts/common/sys/processor.h	Sat Aug  2 23:27:24 2014
+++ new/usr/src/uts/common/sys/processor.h	Sat Aug  2 23:27:24 2014
@@ -25,6 +25,8 @@
  */
 
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -112,7 +114,6 @@
  * User-level system call interface prototypes
  */
 #ifndef _KERNEL
-#ifdef __STDC__
 
 extern int	p_online(processorid_t processorid, int flag);
 extern int	processor_info(processorid_t processorid,
@@ -122,16 +123,6 @@
 extern processorid_t getcpuid(void);
 extern lgrpid_t gethomelgroup(void);
 
-#else
-
-extern int	p_online();
-extern int	processor_info();
-extern int	processor_bind();
-extern processorid_t getcpuid();
-extern lgrpid_t gethomelgroup();
-
-#endif /* __STDC__ */
-
 #else   /* _KERNEL */
 
 /*
